[Pharo-project] OSProcess test failures in Pharo 1.4

Sean P. DeNigris sean at clipperadams.com
Sat Jul 7 15:18:59 EDT 2012


Igor Stasenko wrote
> 
> yeah.. it is a matter of changing the package version in
> configurationofcog
> 

VMConstruction-Plugins-OSProcessPlugin.oscog-eem.35 corresponds to
OSProcessPlugin 4.4.11

ConfigurationOfCog has three versions blessed development:
4.7 - loaded by the stable version of ConfigurationOfPharoVM
4.8 - declared as the development version for #common
4.9

Since ConfigurationOfPharoVM is loading 4.7 explicitly already, it seems we
should change it from development to release, so that it is clear that it
should not be changed anymore [1].

Also, since 4.8 is still blessed development, why don't we merge the changes
from 4.9 into 4.8 and remove 4.9?

If you agree with these changes, is 4.8 ready to be loaded by
ConfigurationOfPharoVM stable?

Let me know...
Sean

[1] After many conversations with Dale, it has sunk in that once a version
is released, it should not be changed.

--
View this message in context: http://forum.world.st/OSProcess-test-failures-in-Pharo-1-4-tp4638907p4639010.html
Sent from the Pharo Smalltalk mailing list archive at Nabble.com.




More information about the Pharo-dev mailing list